> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a job

> Create a job for a client.



## OpenAPI

````yaml POST /v2/job/create
openapi: 3.0.0
info:
  title: Rampart API
  description: Rampart API Documentation
  version: v2
  contact: {}
servers:
  - url: https://api.rampartcorporation.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/job/create:
    post:
      tags:
        - Job
      summary: Create a job
      description: Create a job for a client.
      operationId: JobController_createJob
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                sync_type:
                  type: string
                  enum:
                    - HISTORICAL
                    - INCREMENTAL
                  default: HISTORICAL
                from:
                  type: string
                  format: date-time
                to:
                  type: string
                  format: date-time
              required:
                - client_id
                - sync_type
                - from
      responses:
        '200':
          description: Created job
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - job_id
                    properties:
                      job_id:
                        type: string
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer authentication header of the form `Bearer <API_KEY>`.

````